body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #061c4d;
    margin: 0;
    font-family: Arial, sans-serif;
}

#app {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

#video-container {
    position: relative;
    width: 100%;
    height: 100%;
}

#avatar-video-wait,
#avatar-video-saludo,
#avatar-video-talk {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    max-height: 100vh; /* El alto máximo será el alto de la ventana */
    object-fit: contain; /* Para mantener la proporción original del video */
    transition: opacity 1s;
}

#left-banner, #right-banner {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    padding: 20px;
    font-size: 35px;
    color: white;
    background-color: grey;
    border-radius: 10px;
    opacity: 0;
    transition: opacity 0.5s;
    pointer-events: none; /* Para que los banners no interfieran con la interacción del usuario */
    animation: pulse 2s infinite;
    font-family: 'Lato', sans-serif; /* Aplicando la fuente */
}

#left-banner {
    left: 10px;
}

#right-banner {
    right: 10px;
}


#controls {
    position: absolute;
    bottom: 20px; /* Ajusta este valor según sea necesario */
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    background-color: rgba(0, 0, 0, 0.5); /* Fondo semi-transparente */
    padding: 10px;
    border-radius: 10px;
    width: 73%;
}

button {
    padding: 10px 20px;
    margin: 5px;
    font-size: 16px;
    color: #fff;
    background-color: #333;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

button:hover {
    background-color: #555;
}

#status {
    margin-bottom: 10px;
    font-size: 18px;
    color: #fff;
}

/* Animación de latido y cambio de color */
@keyframes pulse {
    0% {
        transform: translateY(-50%) scale(1);
        background-color: grey;
    }
    50% {
        transform: translateY(-50%) scale(1.1);
        background-color: #2f3135;
    }
    100% {
        transform: translateY(-50%) scale(1);
        background-color: grey;
    }
}
